Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interchange.access
Class LanguageIdentifier

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfTextString>
          org.pdfclown.documents.interchange.access.LanguageIdentifier

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF14)
    public final class LanguageIdentifier

extends PdfObjectWrapper<PdfTextString>

Language identifier [PDF:1.7:10.8.1][RFC 3066].

Language identifiers can be based on codes defined by the International Organization for Standardization in ISO 639 (language code) and ISO 3166 (country code) or registered with the Internet Assigned Numbers Authority (IANA), or they can include codes created for private use.

A language identifier consists of a primary code optionally followed by one or more subcodes (each preceded by a hyphen).

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`LanguageIdentifier(List<String> components)`
`LanguageIdentifier(String... components)`

Method Summary
`LanguageIdentifier` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<String>` | `getComponents()` Gets the identifier components: the first one is the primary code.
`void` | `setComponents(List<String> value)`
`static LanguageIdentifier` | `wrap(PdfDirectObject baseObject)` Wraps a language identifier base object into a language identifier object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LanguageIdentifier

    public LanguageIdentifier(String... components)

### LanguageIdentifier

    public LanguageIdentifier(List<String> components)

Method Detail

### wrap

    public static LanguageIdentifier wrap(PdfDirectObject baseObject)

  Wraps a language identifier base object into a language identifier object.

### clone

    public LanguageIdentifier clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfTextString>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getComponents

    public List<String> getComponents()

  Gets the identifier components:
  1. the first one is the primary code. It can be any of the following:
     - a 2-character ISO 639 language code (e.g., `en` for English);
     - the letter `i`, designating an IANA-registered identifier;
     - the letter `x`, for private use;
  2. the second one is the first subcode. It can be any of the following:
     - a 2-character ISO 3166 country code (e.g., `en-US`);
     - a 3-to-8-character subcode registered with IANA (e.g., `en-cockney`)
     - private non-registered subcodes;
  3. subcodes beyond the first can be any that have been registered with IANA.

### setComponents

    public void setComponents(List<String> value)

  See Also:
    `getComponents()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.